#
# spec file for package python-casttube
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-casttube
Version:        0.2.1
Release:        2.6
Summary:        YouTube chromecast api
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/ur1katz/casttube
Source:         https://files.pythonhosted.org/packages/source/c/casttube/casttube-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
casttube provides a way to interact with the Youtube Chromecast api.

%prep
%setup -q -n casttube-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
rm -v %{buildroot}%{_prefix}/LICENSE

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Oct 13 2022 Dirk Müller <dmueller@suse.com>
- use https for urls
* Sat Jan 15 2022 Dirk Müller <dmueller@suse.com>
- update to 0.2.1:
  * You can now set a starting time for a video
  * Session data and queued videos info
* Wed Jan  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by pychromecast
